# Class TableSelectControlsComponent

- Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:24

#####
Index

### Constructors

constructor

### Properties

hasNotSelected$

### Methods

cancel
select

##
Constructors

### constructor

- new TableSelectControlsComponent(
  selectRows: SelectRowService<any>,
  windowRef: WindowRef,
  ): TableSelectControlsComponent

  #### Parameters

  - selectRows: SelectRowService<any>
  - windowRef: WindowRef

  #### Returns TableSelectControlsComponent

  - Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:27

##
Properties

### hasNotSelected$

hasNotSelected$: Observable<boolean>

- Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:25

##
Methods

### cancel

- cancel(): void

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:37

### select

- select(): void

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:41